package com.eactive.eai.common.security.keyderiv;

public class DerivedKey {

	private final byte[] encKey;
	private final byte[] decKey;

	public DerivedKey(byte[] encKey, byte[] decKey) {
		this.encKey = encKey;
		this.decKey = decKey != null ? decKey : encKey;
	}

	public byte[] getEncKey() {
		return encKey;
	}

	public byte[] getDecKey() {
		return decKey;
	}
}
